<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
      <div class="row">
          <div class="col-sm-12">
              <h4 class="page-title">Incoming Withdrawal (Release Payment)</h4>
          </div>
      </div>
      <div class="row">
          <div class="col-lg-12">
              <div class="card-box">

                  <div class="row">
                      <div class="col-md-12">
                          <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                              <div class="panel panel-default">
                                  <div class="panel-heading" role="tab" id="headingOne" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                      <h4 class="panel-title">
                                          <a>
                                              <i class="more-less fa fa-plus"></i>
                                              <span class="searchbar_text_padding_left"> Search 
                                              </span>
                                          </a>
                                      </h4>
                                  </div>
                                  <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                                      <div class="panel-body">
                                          <div class="row">
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Order Date </label>
                                                      <input type="text" class="form-control" placeholder="Enter Date" [(ngModel)]="order_Date">
                                                  </div>
                                              </div>
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Order Number </label>
                                                      <input type="text" class="form-control" placeholder="Enter Order Number" [(ngModel)]="order_No">
                                                  </div>
                                              </div>
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Buyer </label>
                                                      <input type="text" class="form-control" placeholder="Enter Buyer Name" [(ngModel)]="searchBuyer">
                                                  </div>
                                              </div>
                                              <div class="col-md-2 col_custom_padding">
                                                <div class="form-group">
                                                    <label class="search_label">Amount </label>
                                                    <input type="text" class="form-control" placeholder="Enter Amount" [(ngModel)]="searchAmount">
                                                </div>
                                            </div>
                                              <!-- <div class="col-md-2 col_custom_padding">
                                                <div class="form-group">
                                                    <label class="search_label">Status</label>
                                                    <select class="form-control" [(ngModel)]="getStatus.id">
                                                        <option value="0">Select Status</option>
                                                        <option *ngFor="let option of orderStatusList" value={{option.id}}>
                                                       {{option.order_status_name}}
                                                      </option>
                                                    </select>
                                                </div>
                                            </div> -->
                                              <!-- <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Seller Status</label>
                                                      <select class="form-control">
                                                          <option>Select from list</option>
                                                          <option>Process Payment</option>
                                                      </select>
                                                  </div>
                                              </div> -->
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="">
                                                      <label class="search_label" style="width: 100%;">&nbsp;</label>
                                                      <button class="btn btn-primary search_btn_width" (click)="onSearchBtn()"><i class="fa fa-search"></i> Search</button>
                                                  </div>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>

                  <div class="row">
                      <div class="col-md-12">
                          <div class="table-responsive">
                              <!--KENDO GRID START-->

                              <kendo-grid [data]="incomingWithdrawal_gridData" height="auto" [pageSize]="pageSize" [sort]="sort"
                              [skip]="state.skip" (sortChange)="sortIncoming_withdrawal($event)" [filter]="state.filter"
                              [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                              (dataStateChange)="incoming_withdrawalDataStateChange($event)"
                              (pageChange)="incoming_withdrawal_pageChange($event)">
      
                              <kendo-grid-column field="order_date" title="ORDER DATE"
                                [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}"
                                [style]="{'width':'100px'}">
                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                  <div class="row">
                                    <div class="col-md-12 row_padding text-left noPadding_mobile">
                                      {{index.created_date|date:'dd MMM yyyy'}}
                                    </div>
                                  </div>
                                </ng-template>
                              </kendo-grid-column>
      
                              <kendo-grid-column field="ORDER_ID" title="ORDER NO"
                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                [style]="{'width':'140px'}">
                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                  <div class="row">
                                    <div class="col-md-12 row_padding text-left noPadding_mobile">
                                      <div>
                                        {{index.order_no}}
                                      </div>
                                    </div>
                                  </div>
                                </ng-template>
                              </kendo-grid-column>
      
                              <kendo-grid-column field="BUYER" title="BUYER"
                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                [style]="{'width':'140px'}">
                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                  <div class="row">
                                    <div class="col-md-12 row_padding text-left noPadding_mobile">
                                      <div>
                                        <a href="javascript:void(0)" (click)="OnbuyernameClick(index.buyer.id)">
                                          <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">
                                            {{index.buyer.user_name}}
                                          </h6>
                                        </a>
                                      </div>
                                    </div>
                                  </div>
                                </ng-template>
                              </kendo-grid-column>
      
                              <kendo-grid-column field="AMOUNT" title="AMOUNT"
                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                [style]="{'width':'90px'}">
                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                  <div class="row">
                                    <div class="col-md-12 row_padding text-center noPadding_mobile">
                                      <div>
                                        {{index.total_amount_without_service_fee | currency: 'INR':'symbol':'1.0-0'}}
                                      </div>
                                    </div>
                                  </div>
                                </ng-template>
                              </kendo-grid-column>
      
                              <kendo-grid-column field="ORDER_STATUS" title="ORDER STATUS"
                                [headerStyle]="{'height':'40px','text-align':'center','width':'120px'}"
                                [style]="{'width':'120px'}">
                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                  <div class="row">
                                    <div class="col-md-12 row_padding text-center noPadding_mobile">
                                      <div>
                                        <h6 class="table_heading_name trade_font"><span class="{{index.property}}">
                                            {{index.order_status?.order_status_name}}
                                          </span>
                                        </h6>
                                      </div>
                                    </div>
                                  </div>
                                </ng-template>
                              </kendo-grid-column>
                            </kendo-grid>
                            <!--KENDO GRID FOR ACTIVE GIGs END-->
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>